<?php

namespace common\logic\Feature\Feature;

use common\logic\AbstractRepositoryQuery;

class FeatureRepositoryQuery extends AbstractRepositoryQuery
{
    protected FeatureDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(FeatureDefinition::class);
    }

    public function filterByAlias(string $alias): self
    {
        $this->andWhere(['alias' => $alias]);
        return $this;
    }

    public function filterIsPaidFeature(): self
    {
        $this->andWhere(['is_paid_feature' => true]);
        return $this;
    }


}